Using iOS SDK 5 with Xcode 3

I have been lately using a quite older MacBook Pro (Intel Core Duo 2 2.4 GHz, 4GB RAM) for development and found that it is pretty unpractical installing Xcode 4 for regular use due to its slow performance and huge memory footprint. So I looked for a way to run good old Xcode 3, which is fine under most aspects and works reliably. Turned out it was not so difficult in the end, so I list here the steps I took to make it work: you simply need to copy a bunch of files from a newer Xcode 4.3 distribution to the proper Xcode 3 location.

  • ensure you are using Xcode 3.2.6 and make sure it is not running before executing the steps below;
  • copy from a newer Xcode distribution (e.g., Xcode 4.3) the OS5 SDK files:
    sudo cp -a /PATH_TO_LATEST_XCODE/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS5.1.sdk/Developer/Platforms/iPhoneOS.platform/Developer/SDKs
  • copy version.plist file (important: backup the original one before overwriting it!)
    sudo cp /PATH_TO_LATEST_XCODE/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/version.plist /Developer/Platforms/iPhoneOS.platform/
  • copy device support files for OS5:
    sudo cp -a /PATH_TO_LATEST_XCODE/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/5.*/Developer/Platforms/iPhoneOS.platform/DeviceSupport/

If you want to ever go back to using the old original SDK distributed with Xcode 3, simply switch the version.plist file mentioned above with the backup copy.

In any case, I would not suggest using this set up for building your app for submission to Apple. For that, I prefer using a later Xcode version with a newer compiler and all the regular stuff.

 

Copyright © Labs Ramblings

Built on Notes Blog by TDH
Powered by WordPress

That's it - back to the top of page!